%define _disable_ld_no_undefined 1

# Warning to ELGIS:
# 1 of the 41 tests is known to fail on EL6 (32 bit and 64 bit Intel)
# Tests pass though on PPC and PPC64
# The author is informed about that.
# The problem seems to stem from Geos.

#EPSG data in libspatialite should be in sync with our current GDAL version

# Geocallbacks work with SQLite 3.7.3 and up, available in Fedora,
# but not in EL, including 6; are off by default
%global _geocallback "--enable-geocallbacks"

# GEOS 3.3 is only available in Fedora and from EL6 on and up
# Older versions don't allow for "geosadvanced"

#TODO: Fails to build, reported by mail. If geosadvanced is disabled, linker flags miss geos_c
%global _geosadvanced "--enable-geosadvanced"
# Checks are known to fail if libspatialite is built without geosadvanced
#%global _no_checks 1
# TODO: Check if that's still true anywhere


Name:      libspatialite
Version:   4.3.0a
Release:   %mkrel 2
Summary:   Enables SQLite to support spatial data
Group:     System Environment/Libraries
License:   MPLv1.1 or GPLv2+ or LGPLv2+
URL:       https://www.gaia-gis.it/fossil/libspatialite
Source0:   http://www.gaia-gis.it/gaia-sins/%{name}-sources/%{name}-%{version}.tar.xz

BuildRoot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
BuildRequires: %{_lib}proj-devel
BuildRequires: %{_lib}sqlite3-devel
BuildRequires: %{_lib}geos-devel

%description
SpatiaLite is a a library extending the basic SQLite core
in order to get a full fledged Spatial DBMS, really simple
and lightweight, but mostly OGC-SFS compliant.

%package devel
Summary:  Development libraries and headers for SpatiaLite
Group:    Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig

%description devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q


%build
%configure \
    --disable-static \
    --enable-freexl=no \
    %{?_geocallback}   \
    %{?_geosadvanced}

make


%install
rm -rf %{buildroot}
%makeinstall_std
find %{buildroot} -name "*.la" -delete

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files 
%doc COPYING AUTHORS
%{_libdir}/%{name}.so.*
%{_libdir}/mod_spatialite.so.*

%files devel
%doc examples/*.c
%{_includedir}/spatialite*
%{_libdir}/%{name}.so
%{_libdir}/mod_spatialite.so
%{_libdir}/pkgconfig/spatialite.pc


%changelog
* Sun Feb 19 2017 pp <pp> 4.3.0a-2pclos2017
- rebuild against new proj

* Sun Oct 11 2015 pp <pp> 4.3.0a-1pclos2015
- update

* Fri Mar 13 2015 pinoc  <vogtpet@gmail.com> 4.2.0-1pclos2015
- 4.2.0

* Fri Jan 18 2013 pinoc  <vogtpet@gmail.com> 4.0.0-2pclos2013
- rebuild

* Fri Dec 28 2012 pinoc <vogtpet@gmail.com> 4.0.0-1pclos2013
- adapted rebuild from fedora
